<template>
  <router-link :to="{name: 'EventDetails', params: {id:event.id} }">
    <div class="event-card">
      <span>@ {{event.time}} on {{event.date}}</span>
      <h4>{{event.title}}</h4>
    </div>
  </router-link>
</template>

<script>
export default {
  name: "EventCard",
  
  props: {
    event: Object,
  },
};
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
.event-card{
  box-shadow: rgba(0, 0, 0, 0.35) 0px 5px 15px;
  margin: 0px auto;
  width: 25%;
  border-radius: 10px;
  padding: 25px;
  margin-top: 20px;
  color: #222;
  text-decoration: none !important;
}
.event-card:hover{
  box-shadow: rgba(0, 0, 0, 0.25) 0px 54px 55px, rgba(0, 0, 0, 0.12) 0px -12px 30px, rgba(0, 0, 0, 0.12) 0px 4px 6px, rgba(0, 0, 0, 0.17) 0px 12px 13px, rgba(0, 0, 0, 0.09) 0px -3px 5px;
  cursor: pointer;
}
</style>
